package script;


public class CircuitElement {
	
	
	/**
	 * Return the value of general property of element
	 * @param index {Number} Index of property in property table
	 * @return {Object} Property 
	 */
	public Object getGeneralProperty(int index){
		return null;
	}
	
	/**
	 * Updates the general property of element
	 * @param index {Number} Index of property in property table
	 * @param value {Object} new Property  value to be set
	 */
	public void setGeneralProperty(int index, Object value){
		
	}


	/**
	 * Returns Parameter Info to be edited at specified index, returns null if no parameter is found at the index
	 * @param index
	 * @return
	 */
	public Object getParam(int index){
		return null;
	}
	
	/**
	 * Sets value of parameter at specified index
	 * @param index
	 * @param value the value to set
	 */
	public void setParam(int index,Object value){
	}
	
}
